> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Mailgun Domain

> Verify the Mailgun domain DNS configuration.
Checks with Mailgun to see if DNS records have been properly configured.
Note: MX records (receiving) are optional - domain can be active without them.



## OpenAPI

````yaml put /admin/mailgun-domain/verify
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/mailgun-domain/verify:
    put:
      tags:
        - provider
        - admin
        - settings
      summary: Verify Mailgun Domain
      description: >-
        Verify the Mailgun domain DNS configuration.

        Checks with Mailgun to see if DNS records have been properly configured.

        Note: MX records (receiving) are optional - domain can be active without
        them.
      operationId: verify_mailgun_domain_admin_mailgun_domain_verify_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailgunDomainVerifyResponse'
components:
  schemas:
    MailgunDomainVerifyResponse:
      properties:
        domain:
          $ref: '#/components/schemas/MailgunDomainDetail'
        message:
          type: string
          title: Message
      type: object
      required:
        - domain
        - message
      title: MailgunDomainVerifyResponse
      description: Response from verifying a domain.
    MailgunDomainDetail:
      properties:
        id:
          type: string
          title: Id
        tenantSubDomain:
          type: string
          title: Tenantsubdomain
        domainName:
          type: string
          title: Domainname
        state:
          $ref: '#/components/schemas/MailgunDomainState'
        smtpLogin:
          anyOf:
            - type: string
            - type: 'null'
          title: Smtplogin
        dnsRecords:
          anyOf:
            - $ref: '#/components/schemas/MailgunDNSRecords'
            - type: 'null'
        isSendingVerified:
          type: boolean
          title: Issendingverified
        isReceivingVerified:
          type: boolean
          title: Isreceivingverified
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        verifiedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Verifieddate
      type: object
      required:
        - id
        - tenantSubDomain
        - domainName
        - state
        - isSendingVerified
        - isReceivingVerified
        - createdDate
      title: MailgunDomainDetail
      description: Full details of a Mailgun domain.
    MailgunDomainState:
      type: string
      enum:
        - UNVERIFIED
        - ACTIVE
        - DISABLED
      title: MailgunDomainState
    MailgunDNSRecords:
      properties:
        sendingDnsRecords:
          items:
            $ref: '#/components/schemas/MailgunDNSRecord'
          type: array
          title: Sendingdnsrecords
        receivingDnsRecords:
          items:
            $ref: '#/components/schemas/MailgunDNSRecord'
          type: array
          title: Receivingdnsrecords
        dmarcDnsRecords:
          items:
            $ref: '#/components/schemas/MailgunDNSRecord'
          type: array
          title: Dmarcdnsrecords
      type: object
      title: MailgunDNSRecords
      description: DNS records grouped by purpose.
    MailgunDNSRecord:
      properties:
        recordType:
          type: string
          title: Recordtype
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
        priority:
          anyOf:
            - type: string
            - type: 'null'
          title: Priority
        valid:
          type: string
          enum:
            - valid
            - unknown
          title: Valid
      type: object
      required:
        - recordType
        - name
        - value
        - valid
      title: MailgunDNSRecord
      description: A single DNS record required for Mailgun domain verification.

````